# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Nov  2 14:09:57 2023
# ------------------------------------------------

package:
  name: nbclient
  version: 0.8.0
source:
  sha256: f9b179cd4b2d7bca965f900a2ebf0db4a12ebff2f36a711cb66861e4ae158e55
  url: https://pypi.io/packages/source/n/nbclient/nbclient-0.8.0.tar.gz
build:
  entry_points:
    - jupyter-execute = nbclient.cli:main
  number: '0'
  script: /croot/nbclient_1698934205032/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.08.22 h06a4308_0
    - editables 0.3 py311h06a4308_0
    - hatchling 1.18.0 py311h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.11 h7f8727e_2
    - packaging 23.1 py311h06a4308_0
    - pathspec 0.10.3 py311h06a4308_0
    - pip 23.3 py311h06a4308_0
    - pluggy 1.0.0 py311h06a4308_1
    - python 3.11.5 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - trove-classifiers 2023.10.18 py311h06a4308_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - jupyter_client >=6.1.12
    - jupyter_core >=4.12,!=5.0.*
    - nbformat >=5.1
    - python >=3.11,<3.12.0a0
    - traitlets >=5.4
test:
  commands:
    - pip check
    - jupyter-execute --help
  imports:
    - nbclient
  requires:
    - pip
about:
  description: 'NBClient is a tool for parameterizing and executing Jupyter Notebooks.

    NBClient lets you execute notebooks. Similar in nature to jupyter_client, as the
    jupyter_client

    is to the jupyter protocol nbclient is to notebooks allowing for execution contexts
    to be run.

    '
  dev_url: https://github.com/jupyter/nbclient
  doc_url: https://nbclient.readthedocs.io
  home: https://jupyter.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 10baf9f5-5b7b-4776-b74e-52a4502b4591
  recipe-maintainers:
    - davidbrochart
  remote_url: git@github.com:AnacondaRecipes/nbclient-feedstock.git
  sha: e4dedb86c8ac37ac2ca210f3a0aac9e86814cd68
